Bug 318475 - Don't force undesired usernames upon the user if his choice is there unused... also just require remembering email
Summary: Don't force undesired usernames upon the user if his choice is there unused.....
Status: CONFIRMED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other All
: NOR major with 80 votes (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
: 322866 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-04-17 02:22 UTC by Dan Jidanni Jacobson
Modified: 2016-05-08 21:49 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Jidanni Jacobson 2013-04-17 02:22:39 UTC
When visiting KDE sites, like the KDE identity site, a username is forced upon the user.
He is not allowed to compose his own username even if his choice has not been taken.
Nowhere else on the Internet is this observed.

This is all fine and good until one day of course he forgets it.

So he goes to the 'forgot password' link, and low and behold, he must recall both his email address and his so-called username.

There isn't even a word there about what to do if he forgot the latter.

Name one major website that expects users to not forget more than their email address.





Reproducible: Always

Steps to Reproduce:
Actually the user usually DOES NOT forget his password,
he forgets THE SILLY username forced upon him,
but that is all that is needed... to lock him out forever.
Actual Results:  
No need to waste sysadmin hours when all you need to do is follow Google or Facebook practices.

Expected Results:  
If the user wants more security allow him to chose it don't force it.
Comment 1 Dan Jidanni Jacobson 2013-04-17 02:35:21 UTC
P.S., with your totally garbled KDE accounts systems,
there is no way I can add third comment to
http://forum.kde.org/viewtopic.php?f=217&t=110827
because even though I can login,
I get stuck in the SILLY
-----
Choose a display username

Looks like you are logging into the forum with your Identity credentials for the first time.
You need to choose a display username which will be visible to all forum users. This is a one time activity, we promise!

You already have an account on this forum (e-mail exists in our database). Please select the 'choose from existing' option below instead.
Use this auto generated username: danjidannijacobson
Specify your own username (subject to availability)
Choose username from an existing forum.kde.org account
----
over and over
what a total mess.
But that's how it is.
Comment 2 Dan Jidanni Jacobson 2013-04-17 02:39:25 UTC
The big sites just have the email address be the primary key.
There can't be duplicate accounts ever that way.
If indeed that is what is going on.
Comment 3 Ben Cooksley 2013-04-17 02:41:48 UTC
Unfortunately the forum Identity login system is known to be a little buggy - unfortunately with a lack of spare time from contributors it is difficult to fix.

Are you trying to login as 'jidanni' or 'danjidannijacobson' when logging into the forum?

With regards to using email addresses - we do have plans to move in that direction in the long term - but this is complicated as software such as Mediawiki, phpBB, Drupal, Wordpress, etc all require a username. KDE is not large enough to be able to justify totally custom software which uses email addresses as the primary key (and many people are not happy about having their email address publicised which does not help).
Comment 4 Dan Jidanni Jacobson 2013-04-17 02:55:16 UTC
I see.
Anyway all I want to do is add a comment to that forum post that I have now created https://bugs.kde.org/show_bug.cgi?id=318474 . Perhaps you can add that comment for me,
as login in to the forum is now totally completely twisted up for me no matter what I try.
Comment 5 Ben Cooksley 2013-04-17 03:37:10 UTC
I've added that to the forum topic now.
For the future though (and for the sake of other users who may be running into this issue) I would like to solve your login issues.

After clearing all cookies, and trying again with your Identity username, do you still get the same "select a forum username" page, or are you logged in properly?
Comment 6 Dan Jidanni Jacobson 2013-04-17 03:52:47 UTC
Thanks!
Umm, I'm not even certain how many accounts I have, and all different on 1) bug tracker 2) Forum and 3) Identity site, and all made by me within this week.
And all either jidanni or jidanni@jidanni.org or that name that was forced upon me which perhaps is DanJidanniJacobson, perhaps not.

So what I think we should do is let this rest until the next time I use KDE stuff, which is about every five years!

Indeed, who knows how long I will be able to reply to this bug before my precious cookie is lost and I enter the nightmare. So best to quit while ahead....

If you really want to debug this well then you can check your databases and see just how I got into this snarl....
Comment 7 Ben Cooksley 2013-04-17 03:55:18 UTC
I've already examined the Identity and Forum data stores. Both show no problems.
With regards to Bugzilla - it uses email addresses for it's username anyway.

You have 3 accounts technically, although one is linked to the other (so only two accounts in effect).
Comment 8 Dan Jidanni Jacobson 2013-04-17 04:02:10 UTC
Well OK what account name would you like me to login to the forum with. Yes I will use a fresh browser with no cookies.
Comment 9 Ben Cooksley 2013-04-17 04:13:19 UTC
Please try the username "danjidannijacobson".
Comment 10 Ben Cooksley 2013-04-17 04:15:42 UTC
I believe I may have identified the bug you hit - Identity usernames need to be entered all lower case otherwise this triggers a bug in the code. I've been able to reproduce it with my own account.
Comment 11 Dan Jidanni Jacobson 2013-04-17 04:23:13 UTC
Well guess what, due to common browser bugs, even if one does enter it in all lower case, having entered it before in mixed case causes the browser's autofiller to pick the way the user entered it before! So indeed unless the user totally wipes his browser... anyway you see the path is fraught with danger. So I will take your word for it, and wish to be excused until next time.
Comment 12 Ben Cooksley 2013-04-17 04:33:37 UTC
Sure - thanks for reporting this issue.
Comment 13 Mike Krutov 2014-01-20 14:55:34 UTC
Hello!
I'm stuck with same issue atm - can't figure out what was my username.
Any help would be appreciated. 
My account email is nekoxmachina [] gmail com.
Comment 14 Mike Krutov 2014-01-20 14:58:46 UTC
Ooops. Seems I've found my username. 
Sorry!


(however this imho is still a bug, email should be sufficient to reset user's password).
Comment 15 quazgar 2014-06-16 12:29:14 UTC
Confirmed, marked bug #322866 as a duplicate.
Comment 16 quazgar 2014-06-16 12:29:31 UTC
*** Bug 322866 has been marked as a duplicate of this bug. ***
Comment 17 quazgar 2014-06-24 09:37:27 UTC
Marked importance as "major" since this makes the "reset password" feature unusable for some users and there's no easy workaround (create new account).
Comment 18 Will Entriken 2015-01-27 22:25:26 UTC
+1
Comment 19 softwarefreedomsolutions 2016-05-06 21:15:01 UTC
Would it be too radical to open a new bug suggesting the complete and total decommissioning of the KDE Identity System?

It appears only to serve as a firewall keeping all but the most committed users and developers from participating in the community.  How many people do you suppose gave up instead of posting a bug here?

For those determined to see it stay, there should be a confirmation, at minimum, sent to the registered e-mail address including exactly what the username is.  Also, the username for KDE identity should be the same as the forum username BY DEFAULT.  Finally, the forum administration links should not be locked/blocked behind another login screen that cannot be accessed.
Comment 20 Albert Astals Cid 2016-05-08 21:49:07 UTC
> Would it be too radical to open a new bug suggesting the complete and total decommissioning of the KDE Identity System?

I'm sure our sysadmins would be very happy if you learn about all the requirements we have and can propose a working of implementation a better system.